Convert BMEcat to HTML using an API

Use our API to convert your BMEcat (Product Catalog) data to HTML

Convert to
POST https://dataconverter.io/api/v1/convert/bmecat-to-html

Already saved a BMEcat → HTML template?

Convert with a saved template instead. One templateId, no settings to repeat.

After signing up and verifying your email, you will be able to create an API Token in your account settings.

Headers
  • Authorization (required) Bearer <<YOUR_API_TOKEN_HERE>>
Request Body — (multipart/form-data)
  • file (required) string <binary>
  • uploadSettings

    object
    {
      "datasetName" : null
    }
Request Sample
curl -X POST "https://dataconverter.io/api/v1/convert/bmecat-to-html" \
-H "Authorization: Bearer YOUR_TOKEN_HERE" \
-F "file=@data.xml;type=text/xml" \
-F "uploadSettings={\"datasetName\":null};type=application/json" \
--output converted.html
Show All APIs